[Scipy-tickets] [SciPy] #1170: integrate.quad crashes with SIGILL

SciPy Trac scipy-tickets@scipy....
Sun May 9 10:44:23 CDT 2010


#1170: integrate.quad crashes with SIGILL
----------------------------------+-----------------------------------------
 Reporter:  Joe                   |       Owner:  rgommers
     Type:  defect                |      Status:  new     
 Priority:  normal                |   Milestone:  0.8.0   
Component:  Official binaries     |     Version:  0.7.0   
 Keywords:  scipy integrate quad  |  
----------------------------------+-----------------------------------------

Comment(by rgommers):

 Pauli, your instincts were right. The 2.6 superpack is fine, but for some
 reason a lot of the dll's in the 2.5 superpack have sse2 instructions in
 them. Not only in integrate, but also in special, interpolate, linalg,
 etc.

 No idea yet what happened, or why this is not failing all over the place
 (or are these CPU's that rare these days?).

 Useful note: one can install any arch in the superpack from the command
 prompt with
 {{{
 $ <superpack-name> /arch nosse
 }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1170#comment:14>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list